package domain


type AlibabaTclsAxIntegrationAccountImportApiResult struct {
    /*
        扩展信息     */
    Ext  *string `json:"ext,omitempty" `

    /*
        请求是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        导入结果     */
    Model  *string `json:"model,omitempty" `

    /*
        错误信息     */
    ErrorMsg  *string `json:"error_msg,omitempty" `

}

func (s *AlibabaTclsAxIntegrationAccountImportApiResult) SetExt(v string) *AlibabaTclsAxIntegrationAccountImportApiResult {
    s.Ext = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportApiResult) SetSuccess(v bool) *AlibabaTclsAxIntegrationAccountImportApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportApiResult) SetErrorCode(v string) *AlibabaTclsAxIntegrationAccountImportApiResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportApiResult) SetModel(v string) *AlibabaTclsAxIntegrationAccountImportApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportApiResult) SetErrorMsg(v string) *AlibabaTclsAxIntegrationAccountImportApiResult {
    s.ErrorMsg = &v
    return s
}
